<?php

require '../conexao/conexao.php';
require '../sessao.php';
require '../configuacoes.php';
$qtdFormula = 1417;
$adicaoEncontrada = 1; 
$metaEncontrada = 1711;


// Obtenha os valores de mês e ano como parâmetros
$mesParametro = '09';
$anoParametro = '2023';

// Obtém a data do dia anterior
$dataAtual = date('Y-m-d');
$dataOntem = date('Y-m-d', strtotime('-1 day', strtotime($dataAtual)));

// Obtém o mês e ano da data atual
$mesAtual = date('m', strtotime($dataAtual));
$anoAtual = date('Y', strtotime($dataAtual));

// Verifica se a data atual está dentro do mês e ano passados como parâmetros
if ($anoAtual == $anoParametro && $mesAtual == $mesParametro) {
    // A data atual está dentro do mês e ano passados como parâmetros
    $valor = $dataOntem;
} else {
    // A data atual não está dentro do mês e ano passados como parâmetros
    // Obtém o último dia do mês
    $ultimoDiaDoMes = date('Y-m-t', strtotime($anoParametro . '-' . $mesParametro . '-01'));
    $valor = $ultimoDiaDoMes;
}

// Agora $valor contém a data que você precisa (ou a data atual ou o último dia do mês do parâmetro)
echo "Valor: " . $valor;


// Sua consulta MySQL
$query_diaatual = "select SUM(peso) as peso_atual from dia_trabalho_cidade dc
    inner join cidade c on c.id_cidade = dc.id_cidade
    inner join dia_trabalho dt on dt.id_dia_trabalho = dc.id_dia_trabalho
    inner join tipo_dia td on td.id_tipo_dia = dc.id_tipo_dia WHERE 1=1 and
   MONTH(dia_trabalho) = 09 AND YEAR(dia_trabalho) = 2023
   and dia_trabalho <= CURRENT_DATE()";

// Execute a consulta e obtenha os resultados
$result = $connectionmysql->query($query_diaatual);

 $row = $result->fetch_assoc();
    $peso_diaatual = $row["peso_atual"];

    // Faça algo com seu valor aqui
    echo "Valor primeiro dia: " . $peso_diaatual;

//CONSULTA ÙLTIMO DIA 

$query_ultimodia = "select SUM(peso) as peso_ultimo from dia_trabalho_cidade dc
    inner join cidade c on c.id_cidade = dc.id_cidade
    inner join dia_trabalho dt on dt.id_dia_trabalho = dc.id_dia_trabalho
    inner join tipo_dia td on td.id_tipo_dia = dc.id_tipo_dia WHERE 1=1 and
   MONTH(dia_trabalho) = 09 AND YEAR(dia_trabalho) = 2023";

// Execute a consulta e obtenha os resultados
$result2 = $connectionmysql->query($query_ultimodia);

 $row1 = $result2->fetch_assoc();
    $pesoUltimoDia = $row1["peso_ultimo"];

    // Faça algo com seu valor aqui
    echo "Valor ultimo dia: " . $pesoUltimoDia ;

// Agora, você tem os valores de peso da data atual e do último dia do mês
// Use esses valores no seu cálculo de projeção
$projecao = ((($qtdFormula + $adicaoEncontrada) / $peso_diaatual) * $pesoUltimoDia / $metaEncontrada) * 100;

$projecao2 = (($qtdFormula + $adicaoEncontrada)  / $metaEncontrada) * 100;
echo "PROJECAO: " . $projecao ;

echo "PROJECAO: " . $projecao2 ;




?>
